package com.example.layouttest.presenter;

import java.io.Serializable;

import com.vaadin.ui.Panel;

public interface Presenter extends Serializable {
    
    /**
     * Displays the view within the given {@link Panel}.
     * 
     * @param panel The {@link Panel} to display the view in.
     */
    public void go(final Panel panel);  
}
