/**
 * 
 */
package com.example.layouttest.view;

import com.vaadin.ui.Label;
import com.vaadin.ui.Layout;
import com.vaadin.ui.TextField;
import com.vaadin.ui.VerticalLayout;

public class CityEditorViewImpl extends VerticalLayout implements CityEditorView {

    private static final long serialVersionUID = 1L;
    
    private Presenter presenter;
    
    public CityEditorViewImpl() {
        super();
        init();
    }
    
    void init() {
    	addComponent(new Label("CityEditorView"));
    	addComponent(new TextField("Test 1"));
    	addComponent(new TextField("Test 2"));
    	TextField tf = new TextField("Test 3");
    	tf.setRows(3);
    	addComponent(tf);
    }

    @Override
    public Layout asLayout() {
        return this;
    }
    
    @Override
    public void setPresenter(Presenter presenter) {
        this.presenter = presenter;
    }
}
