package com.example.layouttest.view;


import com.vaadin.ui.Layout;

/**
 * Contract to implement by views.
 * 
 * @param <P>
 *            The type of the {@link ViewObserver} to be set as a presenter for
 *            this view.
 */
public interface View<P extends ViewObserver> {
    public void setPresenter(P presenter);
    public Layout asLayout();
}
