/**
 * 
 */
package com.example.layouttest;

import com.vaadin.ui.ComponentContainer;
import com.vaadin.ui.Panel;
import com.vaadin.ui.themes.Reindeer;

@SuppressWarnings("serial")
public class EditorPanel extends Panel {

    public EditorPanel() {
        super();
        init();
    }

    public EditorPanel(ComponentContainer content) {
        super(content);
        init();
    }

    public EditorPanel(String caption, ComponentContainer content) {
        super(caption, content);
        init();
    }

    public EditorPanel(String caption) {
        super(caption);
        init();
    }

    protected void init() {
        setStyleName(Reindeer.PANEL_LIGHT);
        addStyleName("editor");
    }
}
