package com.example.layouttest;

import com.example.layouttest.presenter.CityBuilderPresenter;
import com.example.layouttest.presenter.TourDetailsEditorPresenter;
import com.vaadin.Application;
import com.vaadin.event.EventRouter;
import com.vaadin.ui.Window;

@SuppressWarnings("serial")
public class LayouttestApplication extends Application {
	
	private EventRouter eventBus = new EventRouter();
	
	@Override
	public void init() {
        Window mainWindow = new Window();
        mainWindow.setDebugId("MainWindow");
        setMainWindow(mainWindow);
        AppController mainController = new AppController(eventBus);
        mainController.setCityBuilderPresenter(new CityBuilderPresenter(eventBus));
        mainController.setTourDetailsEditorPresenter(new TourDetailsEditorPresenter(eventBus));
        mainController.go(getMainWindow());
	}

}
