/**
 * 
 */
package com.example.layouttest.view;

import com.vaadin.data.util.HierarchicalContainer;
import com.vaadin.ui.Panel;

public interface CityBuilderView extends View<CityBuilderView.Presenter> {

    public interface Presenter extends ViewObserver {
        public void onNewCityClicked();
        public void onItemSelected(String selectedItemId);
        public void onNewTourClicked(String cityItemId);
        public void onTourDetails(String tourItemId);
    }
    

    public Panel getEditorPanel();

    @Override
    public void setPresenter(Presenter presenter);

    public void setCities(HierarchicalContainer citiesContainer);

    public String getSelectedItemId();
    
    public void setSelectedItemId(String itemId);
}
